
From: Chris Wright <chrisw@osdl.org>

Mips RLIMIT_MEMLOCK incorrectly defaults to unlimited, it was confused with
RLIMIT_NPROC.  Found while consolidating resource.h headers.

Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-mips/resource.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/asm-mips/resource.h~mips-default-mlock-limit-fix include/asm-mips/resource.h
--- 25/include/asm-mips/resource.h~mips-default-mlock-limit-fix	2005-01-19 18:07:49.467585616 -0800
+++ 25-akpm/include/asm-mips/resource.h	2005-01-19 18:07:49.470585160 -0800
@@ -53,8 +53,8 @@
 	{ INR_OPEN,      INR_OPEN      },		\
 	{ RLIM_INFINITY, RLIM_INFINITY },		\
 	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{ MLOCK_LIMIT,     MLOCK_LIMIT },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
+	{ 0,             0             },		\
+	{ MLOCK_LIMIT,   MLOCK_LIMIT   },		\
 	{ RLIM_INFINITY, RLIM_INFINITY },		\
 	{ MAX_SIGPENDING, MAX_SIGPENDING },		\
 	{ MQ_BYTES_MAX, MQ_BYTES_MAX },			\
_
